<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/white"
    tools:context=".main.ui.activity.PayResultActivity">

    <!--    标题栏-->
    <include
        android:id="@+id/header_title_view"
        layout="@layout/common_title_view"
        android:visibility="invisible" />

    <ImageView
        android:id="@+id/img_result_icon"
        android:layout_width="@dimen/dp60"
        android:layout_height="@dimen/dp60"
        android:layout_below="@id/header_title_view"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="@dimen/dp40"
        android:scaleType="center" />

    <!--    支付成功栏-->
    <LinearLayout
        android:id="@+id/status_success_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/img_result_icon"
        android:layout_marginStart="@dimen/dp20"
        android:layout_marginEnd="@dimen/dp20"
        android:orientation="vertical"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_status_success"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/dp10"
            android:textColor="@android:color/black"
            android:textSize="@dimen/sp16" />

        <LinearLayout
            android:id="@+id/pay_amount_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp8"
            android:baselineAligned="true"
            android:gravity="center_horizontal"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_currency"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@android:color/black"
                android:textSize="@dimen/sp15" />

            <TextView
                android:id="@+id/tv_payment_order_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp3"
                android:textColor="@android:color/black"
                android:textStyle="bold"
                android:textSize="@dimen/sp33" />

            <TextView
                android:id="@+id/tv_tax_mark"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/vivo_pay_tax_mark"
                android:textColor="@color/vivo_pay_checkout_tax_mark_text_color"
                android:textSize="@dimen/sp12"
                android:visibility="gone" />
        </LinearLayout>

        <View
            android:id="@+id/segmentation_line_view"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp1"
            android:layout_marginTop="@dimen/dp15"
            android:background="@color/vivo_pay_info_collection_edit_subline" />

        <include
            android:id="@+id/product_name_item"
            layout="@layout/result_detail_first_level_item"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp40"
            android:layout_marginTop="@dimen/dp10" />

        <include
            android:id="@+id/result_order_amount_item"
            layout="@layout/result_detail_first_level_item" />

        <include
            android:id="@+id/vcoin_total_amount_item"
            layout="@layout/result_detail_first_level_item" />

        <TextView
            android:id="@+id/tv_ext_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp15"
            android:text="@string/vivo_pay_check_out_vcoin_balance_tip"
            android:textColor="@color/vivo_pay_checkout_tax_mark_text_color"
            android:textSize="@dimen/sp12" />

        <View
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:id="@+id/btn_complete_payment"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp40"
            android:layout_marginStart="@dimen/dp20"
            android:layout_marginEnd="@dimen/dp20"
            android:layout_marginBottom="@dimen/dp36"
            android:background="@drawable/vivo_common_blue_bg"
            android:gravity="center"
            android:text="@string/vivo_pay_result_complete"
            android:textColor="@android:color/white"
            android:textSize="@dimen/sp14"
            android:textStyle="bold" />

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/other_status_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/img_result_icon"
        android:layout_marginStart="@dimen/dp20"
        android:layout_marginEnd="@dimen/dp20">

        <TextView
            android:id="@+id/tv_status_show"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp12"
            android:textColor="@android:color/black"
            android:textSize="@dimen/sp17" />

        <TextView
            android:id="@+id/tv_description_of_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/tv_status_show"
            android:layout_centerHorizontal="true"
            android:gravity="center"
            android:layout_marginTop="@dimen/dp12"
            android:textColor="@color/vivo_pay_checkout_not_support_payment_text_color"
            android:textSize="@dimen/sp13" />

        <TextView
            android:id="@+id/btn_query_again"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp36"
            android:layout_alignParentBottom="true"
            android:layout_marginStart="@dimen/dp20"
            android:layout_marginEnd="@dimen/dp20"
            android:layout_marginBottom="@dimen/dp92"
            android:gravity="center"
            android:text="@string/vivo_pay_result_requery"
            android:textSize="@dimen/sp14"
            android:textColor="@android:color/white"
            android:textStyle="bold"
            android:background="@drawable/vivo_common_blue_bg"
            android:visibility="gone" />

        <TextView
            android:id="@+id/btn_bottom"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp36"
            android:layout_alignParentBottom="true"
            android:layout_marginStart="@dimen/dp20"
            android:layout_marginEnd="@dimen/dp20"
            android:layout_marginBottom="@dimen/dp36"
            android:gravity="center"
            android:textStyle="bold"
            android:textSize="@dimen/sp14"
            android:textColor="@color/vivo_pay_info_collection_editing_subline"
            android:background="@drawable/vivo_common_stroke_white_bg"
            android:visibility="gone" />

    </RelativeLayout>


    <com.vivo.unionpay.embedded.pay.core.customview.LoadingView
        android:id="@+id/loading_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/header_title_view"
        android:visibility="gone" />

</RelativeLayout>